=== debian/changelog ===
ros-indigo-transform-graph (0.3.0-0trusty) trusty; urgency=high

  * Added methods for converting Position, Orientation, and Transform back to common types.
  * Made LocalFrame implicitly convertable from strings, which makes the API cleaner.
  * Updated docs.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Wed, 31 Jan 2018 08:00:00 -0000

ros-indigo-transform-graph (0.2.1-0trusty) trusty; urgency=high

  * Changed Markdown documentation to Doxygen format.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Mon, 24 Jul 2017 07:00:00 -0000

ros-indigo-transform-graph (0.2.0-0trusty) trusty; urgency=high

  * Added convenience method to get a Pose from a Transform.
  * Added convenience method to get a quaternion from an Orientation.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Wed, 12 Jul 2017 07:00:00 -0000

ros-indigo-transform-graph (0.1.4-0trusty) trusty; urgency=high

  * Installed internal_graph library.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Fri, 26 May 2017 07:00:00 -0000

ros-indigo-transform-graph (0.1.3-0trusty) trusty; urgency=high

  * Added missing library export to CMakeLists.txt
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Thu, 25 May 2017 07:00:00 -0000

ros-indigo-transform-graph (0.1.2-0trusty) trusty; urgency=high

  * Fixed CMakeLists.txt for dependent projects.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Wed, 24 May 2017 07:00:00 -0000

ros-indigo-transform-graph (0.1.1-0trusty) trusty; urgency=high

  * Moved mainpage.md into the doc/ folder.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Fri, 05 May 2017 07:00:00 -0000

ros-indigo-transform-graph (0.1.0-0trusty) trusty; urgency=high

  The initial release of transform_graph.

 -- Justin Huang <jstn@cs.washington.edu>  Wed, 03 May 2017 07:00:00 -0000
